# FoundationClasses
TKMath
math

# math_IntegerRandom Class Reference

This class implements an integer random number generator.
.

`#include <math_IntegerRandom.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_IntegerRandom (const Standard_Integer Lower, const Standard_Integer Upper)
| creates a Integer random generator between the values Lower and Upper.
Standard_EXPORT void | Reset ()
| reinitializes the random generator
Standard_EXPORT Standard_Integer | Next ()
| returns the next random number.

## Private Attributes

Standard_Integer | Low
Standard_Integer | Up
Standard_Integer | Dummy

## Constructor & Destructor Documentation

Standard_EXPORT math_IntegerRandom::math_IntegerRandom | ( | const Standard_Integer | Lower,
|  | const Standard_Integer | Upper
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer math_IntegerRandom::Next | ( |  | ) |

void math_IntegerRandom::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_IntegerRandom::operator new | ( | size_t | size | ) | `[inline]`

void* math_IntegerRandom::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void math_IntegerRandom::Reset | ( |  | ) |

## Field Documentation

Standard_Integer math_IntegerRandom::Dummy `[private]`

Standard_Integer math_IntegerRandom::Low `[private]`

Standard_Integer math_IntegerRandom::Up `[private]`

The documentation for this class was generated from the following file:

- math_IntegerRandom.hxx